Safe Haskell | Safe-Inferred
Language | Haskell2010

HiddenInstances

Synopsis

- class VisibleClass a
- data VisibleData

# Documentation

class VisibleClass a #

Should be visible

#### Instances

Instances details

VisibleClass VisibleData # | Should be visible
Instance details Defined in HiddenInstances
VisibleClass Int # | Should be visible
Instance details Defined in HiddenInstances

data VisibleData #

Should be visible

#### Instances

Instances details

Num VisibleData # | Should be visible
Instance details Defined in HiddenInstances Methods (+) :: VisibleData -> VisibleData -> VisibleData # (-) :: VisibleData -> VisibleData -> VisibleData # (*) :: VisibleData -> VisibleData -> VisibleData # negate :: VisibleData -> VisibleData # abs :: VisibleData -> VisibleData # signum :: VisibleData -> VisibleData # fromInteger :: Integer -> VisibleData #
VisibleClass VisibleData # | Should be visible
Instance details Defined in HiddenInstances